import { LaunchMode } from '../core/launchMode';
import Configurations from '../main/config/definitions/main/configurations';
import ZationServer from '../core/ZationServer';
/**
 * @description
 * Launches the Zation server 🚀
 * It returns a promise that will be resolved when the server has launched.
 * @param configurations
 * @param mode
 * @param terminateOnLaunchError
 * @throws Error with the property: name of type LaunchErrorName.
 */
export declare function launch(configurations?: Configurations, mode?: LaunchMode | any, terminateOnLaunchError?: boolean): Promise<ZationServer>;
