export default class Packet<A extends object = any> {
    /**
     * @description
     * Notice that the data could also be
     * processed with the models.
     */
    readonly data: any;
    /**
     * @description
     * The API level of this packet,
     * can be undefined if the client did not provide it.
     */
    readonly apiLevel?: number;
    readonly attachment: Partial<A>;
    constructor(data: any, apiLevel: any);
    /**
     * Clears the attachment.
     */
    clearAttachment(): void;
}
