import { Model as AnyModel } from '../../main/models/model';
import { TypeofModel } from '../../main/models/typeofModel';
export declare class MetaModelProp {
    readonly model: AnyModel;
    constructor(model: AnyModel);
}
/**
 * A function that creates a model property with
 * the corresponding type for a class-based ObjectModel.
 * @param model
 * @param value
 * The value that should be set to the property in the constructor.
 * Only for advance usage.
 */
export declare function ModelProp<T extends AnyModel>(model: T, value?: TypeofModel<T>): TypeofModel<T>;
