import { MetaModel } from '../../main/models/metaModel';
import { Model } from '../../main/models/model';
import { DefinitionModel } from '../../main/models/definitionModel';
/**
 * @description
 * Make this model optional so the client doesn't need to provide it.
 * You optionally can pass in a default value that will be
 * used when the client has not provided the data for this model.
 * @param model
 * @param defaultValue
 * Define a default value that will be used
 * if the input had not provided the value.
 */
export declare function $optional<T extends Model>(model: T, defaultValue?: any): T extends DefinitionModel ? MetaModel<T> & {
    optional: true;
} : T extends MetaModel ? MetaModel<T["definitionModel"]> & {
    optional: true;
    canBeNull: T["canBeNull"];
} : MetaModel<any>;
