import { notValueSymbol } from '../../api/Not';
export declare type AccessKeywordRecord = Record<AccessKeyword, any>;
export declare type AccessKeyword = 'all' | 'allAuth' | 'allNotAuth';
export declare type UserIdCheck = {
    id: number | string;
    strictTypeCheck: boolean;
};
/**
 * Creates a user id check.
 * @param id
 * @param strictTypeCheck
 */
export declare function createUserIdCheck(id: number | string, strictTypeCheck: boolean): UserIdCheck;
export declare type AccessRules<T extends Function> = AccessKeyword | string | UserIdCheck | T | boolean | {
    [notValueSymbol]: AccessRules<T>;
} | AccessRules<T>[];
