import { AuthUserGroupConfig } from "../config/definitions/parts/userGroupsConfig";
import { AppConfig } from '../config/definitions/main/appConfig';
export default class AuthConfig {
    private readonly groupsConfig;
    private readonly authGroups;
    private readonly defaultGroup;
    constructor(appConfig: AppConfig);
    /**
     * Returns all auth user groups.
     */
    get authUserGroups(): Record<string, AuthUserGroupConfig>;
    /**
     * Returns if the auth user group has panel access.
     * @param authUserGroup
     */
    hasAuthUserGroupPanelAccess(authUserGroup: string): boolean;
    /**
     * Returns the name of the default user group.
     */
    get defaultUserGroup(): string;
    /**
     * Returns if the name is an auth user group.
     * @param authGroup
     */
    isValidAuthUserGroup(authGroup: string): boolean;
}
