import { StaticChannelClass } from '../../api/channel/StaticChannel';
import { ChannelClass } from '../../api/channel/Channel';
import ChannelContainer from '../../api/channel/container/channelContainer';
import StaticChannelContainer from '../../api/channel/container/staticChannelContainer';
export default class ChannelUtils {
    /**
     * A method that will load the instances from Channel classes
     * and will return the correct container for it.
     * @param channels
     */
    static getChContainer(channels: StaticChannelClass[] | ChannelClass[]): StaticChannelContainer | ChannelContainer;
    /**
     * Checker for checking the max member limit,
     * it will throw an error to deny access.
     * @param current
     * @param max
     */
    static maxMembersCheck(current: number, max: number): void;
}
