import ConfigError from '../../error/configError';
import ErrorBag from '../../error/errorBag';
import ConfigProvider from '../management/configProvider';
export default class ConfigChecker {
    private modelChecker;
    private readonly cp;
    private ceb;
    private authControllerIdentifier;
    private validAccessValues;
    private components;
    constructor(configProvider: ConfigProvider);
    checkAllConfigs(): ErrorBag<ConfigError>;
    private prepare;
    private checkUserGroupName;
    private prepareAllValidUserGroupsAndCheck;
    private checkConfig;
    private checkAppConfig;
    private checkComponentIsNotRegistered;
    private checkChannels;
    private checkChannel;
    private checkChannelConfig;
    private checkAccessControllerDefaultIsSet;
    private checkServerConfig;
    private checkDefaultClientApiLevel;
    private checkOrigins;
    private checkPanelUserMainConfig;
    private checkPanelUserConfig;
    private checkControllers;
    private checkAuthControllerAccess;
    private checkController;
    private checkControllerConfig;
    private checkReceivers;
    private checkReceiver;
    private checkReceiverConfig;
    private checkDataboxes;
    private checkDatabox;
    private checkDataboxConfig;
    /**
     * Checks an input definition.
     * @param input
     * @param target
     * @param rules
     */
    private checkInput;
    private checkAccessConfig;
    private checkAccessKeyDependency;
    private checkIdentifier;
}
