import { InternalServerConfig } from "../definitions/main/serverConfig";
import { LaunchMode } from "../../../core/launchMode";
import { AppConfig } from '../definitions/main/appConfig';
import { ServicesConfig } from '../definitions/main/servicesConfig';
import { InternalConfigurations } from '../definitions/main/configurations';
import { PreparedEvents } from '../definitions/parts/events';
import { PreparedMiddlewares } from '../definitions/parts/middlewares';
export default class ConfigProvider {
    readonly mode: LaunchMode;
    readonly serverConfig: InternalServerConfig;
    readonly appConfig: AppConfig;
    readonly servicesConfig: ServicesConfig;
    readonly events: PreparedEvents;
    readonly middlewares: PreparedMiddlewares;
    constructor(configurations: InternalConfigurations, mode: LaunchMode);
    /**
     * @description
     * Returns if the server runs in test mode.
     */
    inTestMode(): boolean;
    /**
     * @description
     * Returns if the server runs in development mode.
     */
    inDevelopmentMode(): boolean;
    /**
     * @description
     * Returns if the server runs in production mode.
     */
    inProductionMode(): boolean;
    isDebug(): boolean;
    isLaunchDebug(): boolean;
    isShowConfigWarning(): boolean;
    isPanelActive(): boolean;
    get tokenVersion(): number;
    get appName(): string;
    get timeZone(): string;
    get tls(): boolean;
}
