import { ControllerConfig } from "../config/definitions/parts/controllerConfig";
import Bag from "../../api/Bag";
import Controller, { ControllerClass } from '../../api/Controller';
import { ApiLevelSwitch } from "../apiLevel/apiLevelUtils";
import ComponentPrepare from '../component/componentPrepare';
import ConfigProvider from '../config/management/configProvider';
export default class ControllerPrepare extends ComponentPrepare<Controller, ControllerConfig> {
    private _authControllerIdentifier;
    constructor(cp: ConfigProvider, bag: Bag);
    /**
     * Returns the AuthController identifier.
     */
    get authControllerIdentifier(): string;
    protected createIncompatibleAPILevelError(identifier: string, apiLevel: number): Error;
    protected createComponentNotExistsError(identifier: string): Error;
    /**
     * Prepare a Controller.
     * @param identifier
     * @param definition
     */
    protected _prepare(identifier: string, definition: ControllerClass | ApiLevelSwitch<ControllerClass>): void;
    /**
     * Process a controller and create the prepared data.
     * @param controller
     * @param identifier
     * @param apiLevel
     */
    private processController;
}
