import ControllerPrepare from '../controllerPrepare';
import Socket from '../../../api/Socket';
import { ProcedureEnd, ProcedureReject } from 'ziron-worker';
import { ControllerBaseReq } from '../controllerDefinitions';
import ConfigProvider from '../../config/management/configProvider';
export default class ControllerHandler {
    private readonly cp;
    private readonly controllerPrepare;
    private readonly defaultApiLevel;
    private readonly debug;
    private readonly authControllerIdentifier;
    private readonly sendErrDescription;
    private readonly validationCheckLimit;
    private emitter;
    readonly processingCount: number;
    get idle(): Promise<any>;
    constructor(controllerPrepare: ControllerPrepare, cp: ConfigProvider);
    processRequest(request: ControllerBaseReq, socket: Socket, end: ProcedureEnd, reject: ProcedureReject): Promise<void>;
    private _processRequest;
    private _handleRequestErr;
}
