import { Middlewares, PreparedMiddlewares } from '../config/definitions/parts/middlewares';
import { AnyFunction } from '../utils/typeUtils';
import { Block } from 'ziron-worker';
import { PreparedEvents } from '../config/definitions/parts/events';
export declare type MiddlewareInvoker<T extends AnyFunction> = (...args: Parameters<T>) => Promise<Block | void> | Block | void;
export default class MiddlewaresPreparer {
    static prepare(middlewares: Middlewares | undefined, errorEvent: PreparedEvents['error']): PreparedMiddlewares;
    /**
     * Creates an async closure for invoking a middleware.
     * Will stop the middleware chain when a function returns some value.
     * Returns an Block when the action was denied.
     * @param value
     * @param defaultAllow
     * @param beforeErrorMsg
     * @param errorEvent
     * @param middlewareName
     */
    static createMiddlewareAsyncSafeInvoker<T extends AnyFunction>(value: T[] | T | undefined, defaultAllow: boolean, beforeErrorMsg: string, middlewareName: string, errorEvent: PreparedEvents['error']): MiddlewareInvoker<T>;
}
