import Bag from "../../api/Bag";
import { ApiLevelSwitch } from "../apiLevel/apiLevelUtils";
import ComponentPrepare from '../component/componentPrepare';
import Receiver, { ReceiverClass } from '../../api/Receiver';
import { ReceiverConfig } from '../../main/config/definitions/parts/receiverConfig';
import ConfigProvider from '../config/management/configProvider';
export default class ReceiverPrepare extends ComponentPrepare<Receiver, ReceiverConfig> {
    constructor(cp: ConfigProvider, bag: Bag);
    protected createIncompatibleAPILevelError(identifier: string, apiLevel: number): Error;
    protected createComponentNotExistsError(identifier: string): Error;
    /**
     * Prepare a Receiver.
     * @param identifier
     * @param definition
     */
    protected _prepare(identifier: string, definition: ReceiverClass | ApiLevelSwitch<ReceiverClass>): void;
    /**
     * Process a receiver and create the prepared data.
     * @param receiver
     * @param identifier
     * @param apiLevel
     */
    private processReceiver;
}
