export interface License {
    /**
     * holder
     */
    h: string;
    /**
     * email
     */
    e: string;
    /**
     * level
     */
    l: LicenseLevel;
    /**
     * type
     */
    t: LicenseType;
    /**
     * Max instances
     * The maximal amount of instances which are allowed.
     * -1 = unlimited amount.
     * number > 0 = specific max amount.
     */
    mi: number;
    /**
     * version
     */
    v: number;
    /**
     * id
     */
    i: string;
    /**
     * created timestamp
     */
    c: number;
}
export declare enum LicenseLevel {
    Standard = 0
}
export declare enum LicenseType {
    Single = 0,
    Cluster = 1,
    Multi = 2
}
export default class LicenseManager {
    private constructor();
    static processLicense(license: string): License;
    static licenseVersionValid(license: License): boolean;
    static licenseTypeToString(license: License): string;
    static licenseToMeta(license: License): string;
    static licenseToPanelLicense(license: License): {
        l: string;
        t: string;
        /**
         * holder
         */
        h: string;
        /**
         * email
         */
        e: string;
        /**
         * Max instances
         * The maximal amount of instances which are allowed.
         * -1 = unlimited amount.
         * number > 0 = specific max amount.
         */
        mi: number;
        /**
         * version
         */
        v: number;
        /**
         * id
         */
        i: string;
        /**
         * created timestamp
         */
        c: number;
    };
}
